%global with_python3 0
%global module_name fontname

Name:           python-fontname
Version:        0.2.0
Release:        2%{?dist}
Summary:        A lib for guessing font name

License:        MIT
URL:            https://github.com/Asvel/fontname
Source0:        https://pypi.python.org/packages/source/f/%{module_name}/%{module_name}-%{version}.zip

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-freetype

%if 0%{with_python3}
%package -n python3-%{module_name}
Summary:        A lib for guessing font name
License:        MIT
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-freetype
%endif

%description
fontname is a lib for guessing font name, in other words, reading and decoding
quirk encoded raw font name.

It current supports SFNT format fonts, and is adept at dealing with CJK fonts.

%if 0%{with_python3}
%description -n python3-%{module_name}
fontname is a lib for guessing font name, in other words, reading and decoding
quirk encoded raw font name.

It current supports SFNT format fonts, and is adept at dealing with CJK fonts.
%endif

%prep
%setup -q -n %{module_name}-%{version}
rm -rf *.egg-info

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python2}|'

%build
%{__python2} setup.py build

%if 0%{with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%{__python2} setup.py install --skip-build --root=%{buildroot}

%if 0%{with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root=%{buildroot}
popd
%endif

%files -n python-%{module_name}
%doc README.rst LICENSE.txt
%{python2_sitelib}/%{module_name}.py*
%{python2_sitelib}/%{module_name}-%{version}-py2.?.egg-info

%if 0%{?with_python3}
%files -n python3-%{module_name}
%doc README.rst LICENSE.txt
%{python3_sitelib}/%{module_name}.py*
%{python3_sitelib}/__pycache__/%{module_name}*
%{python3_sitelib}/%{module_name}-%{version}-py3.*.egg-info
%endif

%changelog
* Fri Oct 31 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.2.0-2
- Follow python3 subpackage guidelines
- Add python3-freetype to python3-fontname subpackage

* Mon Sep 22 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.2.0-1
- Initial packaging

